<?php setcookie("login", $_COOKIE["login"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<?php setcookie("sessio", $_COOKIE["sessio"] , time()+3600, "/", "deim.etse.urv.es", 1 ); ?>
<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Afegir novetat</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>

        <!-- Començament del cos -->
        <?php 
          require("../private/connect.inc");
          require("../private/ident.inc");
          require("../private/text.inc");
          ident();
       	  autoritzar($_COOKIE["login"], "novetats");
        ?>
        <h2>Administració Novetats: Afegir</h2>
        <?php
              $error=false;
              echo "<table cellpadding=0 cellspacing=0 width=75% bgcolor=#dd0000>";
              if ($_POST["titol"] == ""){
                echo "<tr><td><b>ERROR: El <u>titol</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              if ($_POST["bodytext"] == ""){
                echo "<tr><td><b>ERROR: El <u>text</u> no pot estar buit!</td></tr>";
                $error=true;
              }
              echo "</table>";
              echo "<b>Titol:</b><br>" . htmlspecialchars($_POST["titol"]) . "<br><br>";
              echo "<b>Text:</b><br>" . format_all($_POST["bodytext"]);
              echo "<br><br>";
              echo "<b>Idioma:</b><br>" . format_all($_POST["idioma"]) . "<br><br>";
              if ($error == false) {
                echo "<form action=\"afegirdb.php\" method=\"post\">
                      <input name=\"titol\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["titol"]) .
                      "\">
                      <input name=\"idioma\" type=\"hidden\" value=\"" .
                      htmlspecialchars($_POST["idioma"]) .
                      "\">
                      <input name=\"bodytext\" type=\"hidden\" value=\"" .
                      htmlspecialchars(format_all($_POST["bodytext"])) . "\">
                      &nbsp;&nbsp;<input type=\"image\" border=0 src=\"images/afegir.jpg\"></form>";
              }
        ?>
        <br>
        <input type="image" onClick="history.go(-1)" src="images/tornar.jpg">
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
  </body>
</html>

